/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { GeographicMapSeriesHostDescription } from "./GeographicMapSeriesHostDescription";
import { markType } from "./type";
/**
 * @hidden
 */
export class GeographicShapeSeriesBaseDescription extends GeographicMapSeriesHostDescription {
    constructor() {
        super();
        this.by = null;
        this.bw = 0;
    }
    get_type() {
        return "GeographicShapeSeriesBase";
    }
    get shapeMemberPath() {
        return this.by;
    }
    set shapeMemberPath(a) {
        this.by = a;
        this.e("ShapeMemberPath");
    }
    get shapeFilterResolution() {
        return this.bw;
    }
    set shapeFilterResolution(a) {
        this.bw = a;
        this.e("ShapeFilterResolution");
    }
}
GeographicShapeSeriesBaseDescription.$t = markType(GeographicShapeSeriesBaseDescription, 'GeographicShapeSeriesBaseDescription', GeographicMapSeriesHostDescription.$);
